Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Interface TupleLoader

All Known Implementing Classes:
  TupleLoaderBase, TupleLoaderBase, TupleLoaderHashBase, TupleLoaderHashDB2, TupleLoaderHashDerby, TupleLoaderHashH2, TupleLoaderHashHSQL, TupleLoaderHashMySQL, TupleLoaderHashOracle, TupleLoaderHashPGSQL, TupleLoaderHashSQLServer, TupleLoaderIndexBase, TupleLoaderIndexDB2, TupleLoaderIndexDerby, TupleLoaderIndexH2, TupleLoaderIndexHSQL, TupleLoaderIndexMySQL, TupleLoaderIndexOracle, TupleLoaderIndexPGSQL, TupleLoaderIndexSQLServer, TupleLoaderOne, TupleLoaderOneHash, TupleLoaderOneIndex, TupleLoaderSimple

    public interface TupleLoader

Method Summary
`void` | `close()` This TupleLoader is done with.
`void` | `finish()` Notify the finish of a sequence of rows to load.
`TableDesc` | `getTableDesc()` Get the table description
`void` | `load(com.hp.hpl.jena.graph.Node... row)` Load a row - may not take place immediately but row object is free for reuse after calling this method.
`void` | `setTableDesc(TableDesc tableDesc)` Set table description
`void` | `start()` Notify the start of a sequence of rows to load
`void` | `unload(com.hp.hpl.jena.graph.Node... row)` Remove a row - may not take place immediately but row object is free for reuse after calling this method.

Method Detail

### setTableDesc

    void setTableDesc(TableDesc tableDesc)

  Set table description

### getTableDesc

    TableDesc getTableDesc()

  Get the table description

### start

    void start()

  Notify the start of a sequence of rows to load

### load

    void load(com.hp.hpl.jena.graph.Node... row)

  Load a row - may not take place immediately but row object is free for reuse after calling this method.

  Parameters:
    `row` -

### unload

    void unload(com.hp.hpl.jena.graph.Node... row)

  Remove a row - may not take place immediately but row object is free for reuse after calling this method.

  Parameters:
    `row` -

### finish

    void finish()

  Notify the finish of a sequence of rows to load. All data will have been loaded by the time this returns

### close

    void close()

  This TupleLoader is done with. Do not use a TupleLoader after calling close().

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.